zenilib: Zeni::Radio_Button_Set Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
Zeni::Radio_Button_Set Class Reference
Zenilib

A Set of Radio Buttons. More...

`#include <Widget.h>`

Inherits Zeni::Widget.

## Public Member Functions

| Radio_Button_Set ()
void | accept (Radio_Button &radio_button)
void | clear ()
virtual void | on_mouse_button (const Point2i &pos, const bool &down, const int &button)
virtual void | on_mouse_motion (const Point2i &pos)
virtual void | render_impl () const
Public Member Functions inherited from Zeni::Widget
| Widget ()
virtual | ~Widget ()
void | fax_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const float & | get_layer () const
const Widget_Render_Function * | get_Renderer () const
| Get the current Widget_Render_Function. More...
void | give_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
const bool & | is_busy () const
const bool & | is_editable () const
void | lend_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
void | on_event (const SDL_KeyboardEvent &event)
void | on_event (const SDL_MouseButtonEvent &event)
void | on_event (const SDL_MouseButtonEvent &event, const Projector2D &projector)
void | on_event (const SDL_MouseMotionEvent &event)
void | on_event (const SDL_MouseMotionEvent &event, const Projector2D &projector)
virtual void | on_key (const SDL_Keysym &, const bool &)
virtual void | perform_logic ()
void | render () const
void | set_busy (const bool &busy_)
virtual void | set_editable (const bool &editable_)
void | set_layer (const float &layer_=0.0f)

## Friends

class | Radio_Button

## Detailed Description

A Set of Radio Buttons.

A set of all Radio_Buttons that are tied together.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 527 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Radio_Button_Set::Radio_Button_Set | ( |  | ) |

inline

Definition at line 534 of file Widget.h.

## Member Function Documentation

void Zeni::Radio_Button_Set::accept | ( | Radio_Button & | radio_button | ) |

inline

Definition at line 368 of file Widget.hxx.

Referenced by Zeni::Radio_Button::on_accept().

void Zeni::Radio_Button_Set::clear | ( |  | ) |

inline

Definition at line 373 of file Widget.hxx.

void Zeni::Radio_Button_Set::on_mouse_button | ( | const Point2i & | pos,
|  | const bool & | down,
|  | const int & | button
| ) |  |

virtual

Implements Zeni::Widget.

Definition at line 346 of file Widget.cpp.

References Zeni::Widget::is_editable().

void Zeni::Radio_Button_Set::on_mouse_motion | ( | const Point2i & | pos | ) |

virtual

Implements Zeni::Widget.

Definition at line 354 of file Widget.cpp.

References Zeni::Widget::is_editable().

void Zeni::Radio_Button_Set::render_impl | ( |  | ) | const

virtual

Reimplemented from Zeni::Widget.

Definition at line 362 of file Widget.cpp.

## Friends And Related Function Documentation

friend class Radio_Button

friend

Definition at line 531 of file Widget.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx